import request from '@/utils/request'

// 查询电梯信息列表
export function listInfo(query) {
  return request({
    url: '/elevator/info/list',
    method: 'get',
    params: query
  })
}

// 查询电梯信息详细
export function getInfo(id) {
  return request({
    url: '/elevator/info/' + id,
    method: 'get'
  })
}

// 新增电梯信息
export function addInfo(data) {
  return request({
    url: '/elevator/info',
    method: 'post',
    data: data
  })
}

// 修改电梯信息
export function updateInfo(data) {
  return request({
    url: '/elevator/info',
    method: 'put',
    data: data
  })
}

// 删除电梯信息
export function delInfo(id) {
  return request({
    url: '/elevator/info/' + id,
    method: 'delete'
  })
}
